
                        CONTENTS
                        ========

Chapter 1.  Introduction ...................................1

    1-1 An Introduction to the cPCIPORT Card ...............1

    1-2 Hardware specifications ............................1

    1-3 Software specifications ............................2

Chapter 2. Configuring Hardware ............................3

    2-1 System Components ..................................3

    2-2 Installation Procedures ............................3

    2-3 Hardware Configuration .............................3

    2-4 Serial Interface Connection ........................4

Chapter 3. Windows NT Installation .........................5

Chapter 4. Windows 95/98 Installation ......................6

Chapter 5. Windows 3.1 Installation ........................7

Chapter 6. DOS driver Installation .........................8

Chapter 7. Linux system  Installation ......................9

Chapter 8. SCO OpenServer Installation .....................10


APPENDIX. A.    Pin Assignments and Cable Wiring ...........11

APPENDIX. B.    RS4232 Isolated Box User Guide .............14

                        ---1---

                  -----Chapter 1-----
                     Introduction

1-1. An introduction to the cPCIPORT card

  cPCI3538 and cPCI3534 card are enhanced eight port and four port card which
are suitable to PC AT with compact PCI bus machine.cPCI3538 and cPCI3534 card
can reduce the interval for serial communication controller to interrupt main
CPU (MPU) on the mainboard to improve the whole system performance.

  The cPCI3538 card is made up of two parts:
1) cPCP3538 interface card:
       cPCI3538 interface card includes an PGA to support the serial
   communication controller and a 62 pin connector to connect external
   I/O port. Or we can use cPCI slot J2 connector for serial port connection.

2) Expansion cable:
       This expansion cable have eight standard DB25 connectors and one
   DB62 connector to connect cPCI3538 interface card. User may use one DB62
   to DB62 cable to connect between one cPCI3538 card and RS4232-8 box.

  The cPCI3534 card is made up of two parts:
1) cPCI3534 interface card:
       cPCI3534 interface card includes an PGA to support the serial
   communication controller and a 37 pin connector to connect external
   I/O port. Or we can use cPCI slot J2 connector for serial port connection.

2) Expansion cable:
       This expansion cable have four standard DB25 connectors and one
   DB37 connector to connect cPCI3534 interface card.

   For a PC AT Windows NT/95/98 system, we can install up to 2 pcs cPCI3538
or CPCI3534 card, and support up to 16 or 8 users.

   Traditionally, serial communication controller will interrupt MPU
character by character. This action will waste MPU processing time
and drop the system computation power. If the MPU is processing some
non-interruptted task, then serial controller may be overrun and data lost.
cPCIPORT card can support 16 bytes buffer capability in each port's transmit
and receive channel simultaneously. This capability will reduce the number
of interrupt to MPU and increase the non-interruptted task's interval.

1-2. Hardware specification
 *serial communication controller:
        16C550A compatible.
        1.8432MHz crystal. (can be used upto 14.7456MHz)

 *I/O Port: ---- RS232C compatible. (standard cPCI3534/3538 card)
                 isolated RS422/RS485 interface. (cPCI3534 port D)

                        ---2---

 *Interrupt Control: ------ Plug & Play to be assigned by PCI BIOS. Each card
                            must have one IRQ to be assigned. But multi-card
                            can share the same IRQ.

 *I/O map: -------- Plug & Play to be assigned by PCI BIOS.

 NOTE: Some operating system and software may assign I/O map for LAN card
       later and conflict with PCIPORT card's I/O address assigned by PCI
       BIOS. User may need to change the slot for cPCIPORT card to have
       different I/O address assigned by PCI BIOS.

 *Flow control  --- Xon/Xoff control or RTS/CTS control.

 *Baud Rate:
     can be software programmable upto 115.2KBps for 1.8432MHz
                  crystal or 921.6KBps for 14.7456MHz crystal.

 *Connector  ------ Expansion cable can support DB25 male connectors.
                    (Or user can prepare their pin definition and connector
                     type by themself.)
     cPCI3538 card: DB62 female connector.
     cPCI3534 card: DB37 female connector.

 *Environment ----- PC/AT with 5V 33MHz PCI bus machine.


NOTE: some PCI motherboard may have wrong operation in P&P interrupt mode.
      User may set the IRQ in ISA legacy mode and not P&P mode. You must
      confirm that minimum one IRQ is left to be assigned by P&P mode. If
      you do not have any IRQ left, you may have wrong operation in PCIPORT
      card.

1-3 Software specification:
 *Operating system  -----can support
                         Windows NT
                         Windows 95/98
                         WINDOWS 3.1
                         DOS
                         LINUX
                         SCO OpenServer
                         other operating system.


                        ---3---

                        Chapter 2.
                Configuring the Hardware

2-1 System components
  An cPCI3538 card system includes following components:
*One cPCI3538 PCI interface card.
*One 62pin Expansion Cable to support eight DB25 connector.
*One DB62 to DB62 cable with RS4232-8 box. (option).
*User manual.

  An cPCI3534 card system includes following components:
*One cPCI3534 PCI interface card.
*One 37pin Expansion Cable to support four DB25 connector.
*User manual.

2-2 Installation Procedures
  One CPCI3538 or cPCI3534 card needs a 5V 33MHz cPCI system expansion slot.

  The installation procedures are as follows:
(1) Turn off the power switch of your system.
(2) check the jumper to select the proper card number assigned.
(3) Plug the cPCI3538 or cPCI3534 interface card to system expansion slot.
(4) Connect the 62pin(37pin) cable to cPCI3538(cPCI3534) interface card.
(5) Turn on the system power.
(7) Start up the operating system.
(8) execute the PCIPORT card software installation procedure.

WARNING: You should not insert or remove the cPCI3538/cPCI3534 card from
         the system while power is on.

2-3 Hardware Configuration
*In cPCI3538 card we have following jumpers to set
 (1) JP1:
     This jumper is used to select the card number assigned. This jumper
     is ON for 1'st card. This jumper is OFF for 2'nd card. Because PCIPORT
     will be assigned I/O mapping and IRQ mapping by PCI BIOS. We can install
     upto two cards in each system. We need to fix the COM port number for
     each card. So it is very important for us to assigned the card number
     in each card.

*In cPCI3534 card we have SW1 DIP switch to set
 (1) bit1:
     This bit is used to select the card number assigned. This bit
     is ON for 1'st card. This bit is OFF for 2'nd card.
 (2) bit4:
     This bit is used to set the target interface of port D to be RS422 (bit
     is ON)  or  RS485  (bit is OFF).

                        ---4---


2-4 Serial I/O port connection:
  (1) Local terminal connection:
       DB25 male connector                   Terminal connector
  -----------------------                -----------------------
      Pin No.   | Signal                   Pin No.  |  Signal
  -----------------------                -----------------------
         1      | F.G.   <---------------->   1     | F.G.
         2      | TXD     ---------------->   3     | RXD
         3      | RXD    <-----------------   2     | TXD
         4      | RTS     ---------------->   4     | CTS
         5      | CTS    <-----------------   5     | RTS
         6      | DSR    <--+--------------   20    | DTR
         7      | S.G.   <--|------------->   7     | S.G.
         8      | DCD    <--+          +-->   8     | DCD
         20     | DTR    --------------|-->   6     | DSR
  -----------------------                -----------------------
  (2) Remote terminal connection:
       DB25 male connector                    MODEM connector
  -----------------------                -----------------------
      Pin No.   | Signal                   Pin No.  |  Signal
  -----------------------                -----------------------
         1      | F.G.   <---------------->   1     | F.G.
         2      | TXD     ---------------->   2     | TXD
         3      | RXD     <---------------    3     | RXD
         4      | RTS     ---------------->   4     | RTS
         5      | CTS     <---------------    5     | CTS
         6      | DSR     <---------------    6     | DSR
         7      | S.G.   <---------------->   7     | S.G.
         8      | DCD    <-----------------   8     | DCD
         20     | DTR    ----------------->   20    | DTR
  -----------------------                -----------------------

  (3) special DB9 connector:
       DB9 male connector
  -----------------------
      Pin No.   | Signal
  -----------------------
         1      | DCD (in)
         2      | RXD (in)
         3      | TXD (out)
         4      | DTR (out)
         5      | GND
         6      | DSR (in)
         7      | RTS (out)
         8      | CTS (in)
  -----------------------

Note: Standard cPCI3534 card can support RS232 interface in port A/B/C.
      In port D we can set interface to be RS422 or RS485. Port D is with
      isolated ground system with system power plane.

Note: Standard cPCI3538 card can support RS232 interface only. User can use
      our RS4232-8 box to change RS232 interface to isolated RS422/RS485.
      For more detail information about pin definition in DB62 connector
      can be found in appendix.

                        ---5---

                        Chapter 3
                Windows NT Installation

3-1 Driver Installation

  Once Windows NT system has been started, login using an account with
administrative rights.
  a) Start the [Control Panel] applet by double clicking its icon in the
     [Program Managers] main group.

  b) In the [Control Panel] applet, double click [Network] icon to bring
     up the Network Control Panel Applet(NCPA).

  c) Within the NCPA, select the [Add Adaptor] button. A list of possible
     adaptors should be displayed. Go to the end of this list and select
        '<Other> Requires disk from manufacturer'

  d) When prompted for the path, specify the drive and directory where the
     NCPA can find the new driver for the card you installed.

  For Example,we need to install cPCI3534 card.We may specify as follow:

        a:\3534

  For cPCI3538 card we may input

        a:\3538

  e) Now, you can follow the configuration dialog boxes to finish the
     PCIPORT card's driver. The important thing is to let COM port number
     no confliction with other card.

3-2 Note for multi-PCIPORT card installation.

  a) We can install upto two cPCI3538 and two cPCI3534 cards in one NT system.

  b) When we need to install two same type PCIPORT cards in one NT system,
     we must confirm to let one card's jumper is ON. And the other card's
     jumper is OFF.

  c) The card with jumper ON will have low COM port number. The card with
     jumper OFF will have higher COM port number to follow the card with
     jumper ON.

  d) If user install two PCIPORT cards with jumper ON or OFF simultaneously,
     we can not confirm that both card will active properly.

  e) If user install cPCI3538 and cPCI3534 card in one NT system
     simultaneously. please confirm that the COM port number assigned do
     not have overlap. User may need to confirm the COM port number
     assigned for each card must be not overlapped. Or you may have inproperly
     operation in your NT system.

  f) For easy to maintain one NT system's COM port number we suggest that
     user must set the jumper ON for the first card to be installed in one
     NT system.

                        ---6---

                        Chapter 4
                Windows 95/98 Installation

3-1 Driver Installation

  Once Windows 95/98 system has been started, the Plug & Play function in
95/98 system will find the new PCIPORT card. If this is the first time
to install PCIPORT card in your 95/98 system, you will be informed to
install the driver. Please follow the instruction message to input the
COM port number start value for first card and second card.

  Because the resource will be assigned by PCI BIOS. It is not easy to check
which card is first card or secong card from resource. So we have one jumper
in each card to set the first card or second card for this PCIPORT card.
THen we can fix the COM port number for each card. This is very important
for PCIPORT card. Traditionly, we check the resource in each card to confirm
the card number. Use this rule we can assign the COM port number for each
card. But in PCI bus all the resource for each card is assigned by PCI BIOS
in power on procedure. So it is not easy for us to confirm the COM port
number for each card. Then it is not easy to maintain the application
environment for different time point (You may change your system
configuration due to add extra new card. This may change your PCI system's
resource condition). So our jumper to assign card number is very inportant.

  After you had installed the PCIPORT driver, you might be informed to have
new hardware found. But you do not need to install the driver again. Windows
95/98 will add the COM port automatically.

3-2 Note for multi-PCIPORT card installation.

  a) We can install upto two cPCI3538 or cPCI3534 cards in one 95/98 system.

  b) When we need to install two  PCIPORT cards in one 95/98 system,
     we must confirm to let one card's jumper is ON. And the other card's
     jumper is OFF.

  c) The card with jumper ON will have COM port number assigned for first
     card.  The card with jumper OFF will have COM port number assigned for
     second card.

  d) If user install two PCIPORT cards with jumper ON or OFF simultaneously,
     we can not confirm that both card will active properly.

  e) If user install cPCI3538 and cPCI3534 card in one 95/98 system
     simultaneously, please confirm that the COM port number assigned do
      not have overlap.

  f) For easy to maintain one 95/98 system's COM port number we suggest that
     user must set the jumper ON for the first card to be installed in one
     95/98 system.

  g) PCIPORT card can be used in interrupt shared mode. PCI BIOS will assign
     IRQ for each PCIPORT card. For multi-PCIPORT application we can just
     share one IRQ in each card. But user must confirm that one system may
     have minimum one IRQ left for P & P function. If there are no IRQ to
     be assigned to PCIPORT card, you may have wrong operation.

                        ---7---

                        Chapter 5
                Windows 3.1 Installation

3-1 Driver Installation

  1. Please confirm that you have jumper ON to set your first cPCI3534/
     cPCI3538 card in your first card installation.

  2. Change your active directory to Windows 3.1 system's directory.
          ex.   C:\WINDOWS

  3. Insert our driver diskette and run installation file "CPCI".
          ex.   A:\WIN31\CPCI
     NOTE: This action will copy all the necessary files from driver
           diskette to Windows 3.1 system directory.

  4. Run the COM port preparation file "CPCI3538" in current Windows 3.1
     system directory to specify the target COM port number.
           ex.  C:\WINDOWS\CPCI3538  <COM Start>

NOTE: a) <COM Start> value is the first card's COM port start number. If
         user did not give this value , we may use default value 3. Then
         the first card's COM port number will be from COM3.
      b) "CPCI3538" file will modify the "system.ini" file in Windows 3.1
          system and "autoexec.bat" file in root directory. We will prepare
          one backup file "autoexec.ray" and "system.ray" for your original
          "autoexec.bat" and "system.ini" file.
      c) Due to Windows 3.1 system can only support COM1--COM9, the value
         for <COM Start> is available for 3--9.

3-2 Note for multi-PCIPORT card installation.

  a) We can install upto two cPCI3538 or cPCI3534 cards in one
     Windows 3.1 system.

  b) When we need to install two  PCIPORT cards in one Windows 3.1 system,
     we must confirm that one card's jumper is ON. And the other card's
     jumper is OFF.

  c) The card with jumper ON will have COM port number assigned by driver.
     The card with jumper OFF will have COM port number follow first card.

  d) If user install cPCI3538 and cPCI3534 card in one 3.1 system
     simultaneously, please confirm that the COM port number assigned
     do not have overlap.

  e) For easy to maintain one 3.1 system's COM port number user must set
     the jumper ON for the first card to be installed in one 3.1 system.Or
     we may not find the card with jumper OFF setting.

  f) PCIPORT card can be used in interrupt shared mode. PCI BIOS will assign
     IRQ for each PCIPORT card. For multi-PCIPORT application we can just
     share one IRQ in each card. But user must confirm that one system may
     have minimum one IRQ left for P & P function. If there are no IRQ to
     be assigned to PCIPORT card, you may have wrong operation.

  g) User may need to change the COM port start number after driver is set
     up. They need to recover "autoexec.bat" file and run "CPCI3538" again.

                        ---8---

                        Chapter 6
                DOS Driver Installation

3-1 Driver Installation

  1. Please confirm that you have jumper ON to set your first cPCI3534/
     cPCI3538  card in your first card installation.
  2. Change your active directory to target directory.
          ex.   C:\CPCI
  3. Insert our driver diskette and copy all files in driver diskette.
          ex.   XCOPY /S/E/V A:\DOS\*.*  .
     NOTE: This action will copy all the necessary files include DEMO
           program from driver diskette to current directory.
  4. Run the driver installation command
           ex.  C:\RAYON\CPCI
  5. Then you can find the cards installed in your system. Each card will
     show the card number in this system (this card number will be used in
     application program to specify the target card and target port), the
     card model, the card jumper setting for 1'st card or 2'nd card, the
     IRQ assigned and COM port number in this card.

        for example,

          card[1]   PCIPORT   cPCI3538   1'st card
          IRQ  number :  11
          COM  port  :  8
          card[2]   PCIPORT   cPCI3538   2'nd card
          IRQ  number :  12
          COM  port  :  8
NOTE:
    You may have following error message:
   a) PCIPORT & INDPORT Already Install.
     ====>  The driver had been installed.
   b) Please check 'JP1' in the P588 or P584
     ====>  You may install the same type card have same JP1 setting.
   c) PCIPORT not in system.
     ====>  There is no PCIPORT card to be found in PCI slot.

3-2 Note for multi-PCIPORT card installation.
  a) We can install upto four cPCI3534, cPCI3538 in one DOS system.
     But each type of cards must have different jumper setting for card
     number. For example you can not have both cPCI3534 card with JP1 ON.
  b) The PCIPORT driver function call description can be found in DOS
     driver diskette. We also have one DEMO program for user to modify
     to meet their target application program.
  c) Because we need to specify the target PCIPORT card for access in
     application program. We must give each card one unique card number.
     We will give each card's card number in following sequence. The other
     card will have higher card number follow it. The first card will be
     given card number 1 for application program to use.
    start to find===> cPCI3534 1'st card =====> cPCI3534 2'nd card
     ===> cPCI3538 1'st card ===> cPCI3538 2'nd card
  d) So user must keep in mind their card number for each card to access.

                        ---9---

                        Chapter 7
                Linux driver Installation

3-1 Driver Installation

  1. Login with superuser  or root.

  2. Change your directory to root and copy our driver diskette to system.
          #cd /
          #tar  xvf  /dev/fd0

  3. change directory to /etc/c353x and run Install command.
          #cd /etc/c353x
          #./Install

  4. You will have following procedure to configure your module.
          1. choose your linux kernel version.
          2. rebuild your system.
          3. exit & reboot with new setting.

  5. Then, you can have extra serial port to be used.
        1. the device name will be     /dev/tty7[1--2][a--h]
        2. For the card set in first card number (Jumper ON) will be
                /dev/tty71[a--h]
        3. For the card set in 2'nd card number (Jumper OFF) will be
                /dev/tty72[a--h]

NOTE: Due to the driver interface for Linux system may be changed for
      different kernel version. User may have different kernel version
      to be used and not supportted in our driver. We can choose the
      nearest kernel version to install our driver. If we still had some
      problem to install Linux driver, please contact rayon@ms1.hinet.net
      for recent information.

3-2 Note for multi-PCIPORT card installation.

  a) We can install upto two cPCI3538 or cPCI3534 cards in one Linux  system.

  b) When we need to install two  PCIPORT cards in one Linux system,
     we must confirm that one card's jumper is ON. And the other card's
     jumper is OFF.

  c) PCIPORT card can be used in interrupt shared mode. PCI BIOS will assign
     IRQ for each PCIPORT card. For multi-PCIPORT application we can just
     share one IRQ in each card. But user must confirm that one system may
     have minimum one IRQ left for P & P function. If there are no IRQ to
     be assigned to PCIPORT card, you may have wrong operation.

                        ---10---

                        Chapter 8
                SCO OpenServer Installation

3-1 Driver Installation

   User can use /etc/custom command to install our driver or use following
procedure to install our driver.

  1. Login with superuser  or root.

  2. Change your directory to root and copy our driver diskette to system.
          #cd /
          #tar  xvf  /dev/fd0135ds18

  3. change directory to /etc/pciport and run "build" command.
          #cd /etc/pciport
          #./build

  4. Please follow the installation procedure and reboot your system.

  5. Then, you can have extra serial port to be used.
        1. the device name will be     /dev/tty8[1--2][a--h]
        2. For the card set in first card number (Jumper ON) will be
                /dev/tty81[a--h]
        3. For the card set in 2'nd card number (Jumper OFF) will be
                /dev/tty82[a--h]

NOTE: Due to the PCIPORT card's resource is assigned by PCI BIOS. We may
      have different resource to be assigned for different environment
      changed. We may need to re-install our driver for this condition.
      User may need to run "build" command again to remove old driver and
      install new driver again. We strongly recommend that user need to
      re-install our driver for PC environment changed condition.

3-2 Note for multi-PCIPORT card installation.

  a) We can install upto two cPCI3538 or cPCI3534 cards in one SCO system.

  b) When we need to install two  PCIPORT cards in one SCO OpenServer
     system, we must confirm that one card's jumper is ON. And the other
     card's jumper is OFF.

  c) In SCO OpenServer system PCIPORT card can not be used in interrupt
     shared mode. PCI BIOS will assign IRQ for each PCIPORT card. For
     multi-PCIPORT application we must have sperate IRQ for each card.
     So user must confirm that one system may have enough IRQ left for
     P & P function. If there are no unique IRQ to be assigned to PCIPORT
     card, you may have wrong operation.

  d) User must insert our PCIPORT card in PCI slot before installed our
     SCO OpenServer driver.

  e) If PCIPORT card can not have proper operation, user may remove our
     driver firstly. Then user can install our driver again. If user
     try above procedure many times and fail, we may have failed card.

                        ---11---

                        Appendix A
                Pin assignements and Cable Wiring

A-1:   DB62 Female Connector Pin assignment in cPCI3538 card.
=============================================================================
DB62 Pin | Signal     || DB62 Pin | Signal     || DB62 Pin | Signal
 Number  |  Name      || Number   | Name       ||  Number  | Name
=============================================================================
  1      | TXD1 (Out) ||  22      | TXD2 (Out) ||  43      | GND
-----------------------------------------------------------------------------
  2      | RXD1 (In ) ||  23      | RXD2 (In ) ||  44      | GND
-----------------------------------------------------------------------------
  3      | RTS1 (Out) ||  24      | RTS2 (Out) ||  45      | GND
-----------------------------------------------------------------------------
  4      | CTS1 (In ) ||  25      | CTS2 (In ) ||  46      | TXD4  (Out)
-----------------------------------------------------------------------------
  5      | DSR1 (In ) ||  26      | DSR2 (In ) ||  47      | RXD4  (In )
-----------------------------------------------------------------------------
  6      | DTR1 (Out) ||  27      | DTR2 (Out) ||  48      | RTS4  (Out)
-----------------------------------------------------------------------------
  7      | DCD1 (In ) ||  28      | DCD2 (In ) ||  49      | CTS4  (In )
-----------------------------------------------------------------------------
  8      | TXD3 (Out) ||  29      | TXD7 (Out) ||  50      | DSR4  (In )
-----------------------------------------------------------------------------
  9      | RXD3 (In ) ||  30      | RXD7 (In ) ||  51      | DTR4  (Out)
-----------------------------------------------------------------------------
  10     | RTS3 (Out) ||  31      | RTS7 (Out) ||  52      | DCD4  (In )
-----------------------------------------------------------------------------
  11     | CTS3 (In ) ||  32      | CTS7 (In ) ||  53      | TXD8  (Out)
-----------------------------------------------------------------------------
  12     | DSR3 (In ) ||  33      | DSR7 (In ) ||  54      | RXD8  (In )
-----------------------------------------------------------------------------
  13     | DTR3 (Out) ||  34      | DTR7 (Out) ||  55      | RTS8  (Out)
-----------------------------------------------------------------------------
  14     | DCD3 (In ) ||  35      | DCD7 (In ) ||  56      | CTS8  (In )
-----------------------------------------------------------------------------
  15     | TXD5 (Out) ||  36      | TXD6 (Out) ||  57      | DSR8  (In )
-----------------------------------------------------------------------------
  16     | RXD5 (In ) ||  37      | RXD6 (In ) ||  58      | DTR8  (Out)
-----------------------------------------------------------------------------
  17     | RTS5 (Out) ||  38      | RTS6 (Out) ||  59      | DCD8  (In )
-----------------------------------------------------------------------------
  18     | CTS5 (In ) ||  39      | CTS6 (In ) ||  60      | GND
-----------------------------------------------------------------------------
  19     | DSR5 (In ) ||  40      | DSR6 (In ) ||  61      | GND
-----------------------------------------------------------------------------
  20     | DTR5 (Out) ||  41      | DTR6 (Out) ||  62      | GND
-----------------------------------------------------------------------------
  21     | DCD5 (In ) ||  42      | DCD6 (In ) ||  xxxx    | xxxx
=============================================================================
****Note: R801 cable will support DB62 connector to eight DB25 male connector.

                        ---12---

A-2: DB37 Female Connector Pin assignment in cPCI3534 card.
=======================================================
DB37 Pin | cPCI3534 card  || DB37 Pin | cPCI3534 card
 Number  | Signal Name    || Number   | Signal Nmae
=======================================================
  1      | RXDA (In )     ||  20      | TXDA (Out)
-------------------------------------------------------
  2      | CTSA (In )     ||  21      | RTSA (Out)
-------------------------------------------------------
  3      | DSRA (In )     ||  22      | DTRA (Out)
-------------------------------------------------------
  4      | DCDA (In )     ||  23      | RIA  (In )
-------------------------------------------------------
  5      | GND            ||  24      | RXDB (In )
-------------------------------------------------------
  6      | TXDB (Out)     ||  25      | CTSB (In )
-------------------------------------------------------
  7      | RTSB (Out)     ||  26      | DSRB (In )
-------------------------------------------------------
  8      | DTRB (Out)     ||  27      | DCDB (In )
-------------------------------------------------------
  9      | GND            ||  28      | RIB  (In )
-------------------------------------------------------
  10     | GND            ||  29      | RIC  (In )
-------------------------------------------------------
  11     | GND            ||  30      | DCDC (In )
-------------------------------------------------------
  12     | DTRC (Out)     ||  31      | DSRC (In )
-------------------------------------------------------
  13     | RTSC (Out)     ||  32      | CTSC (In )
-------------------------------------------------------
  14     | TXDC (Out)     ||  33      | RXDC (In )
-------------------------------------------------------
  15     | port D GND     ||  34      | ---
-------------------------------------------------------
  16     | ---            ||  35      | 422TXDD- (out)
-------------------------------------------------------
  17     | 422RXDD- (in)  ||  36      | 485TRXDD+ (I/O)
-------------------------------------------------------
  18     | 485TRXDD-(I/O) ||  37      | 422TXDD+ (out)
-------------------------------------------------------
  19     | 422RXDD+ (in)  ||  ----    | ----
=======================================================
****Note: A400 cable will support DB37 connector to four DB25
          male connector and mark TTYA/TTYB/TTYC/TTYD.

                        ---13---

A-3: DB25 Male Connector Pin assignment in cPCI3538/cPCI3533 card with R801
     DB62 to 8 DB25 cable or A400 DB37 to 4 DB25 cable.
=======================================================
DB25 Pin Number  | Signal Name    | port D Signal Name
=======================================================
  2              | TXD  (Out)     | 422TXD+ (out)
-------------------------------------------------------
  3              | RXD  (In )     | 422RXD+ (in)
-------------------------------------------------------
  4              | RTS  (Out)     | 485TRXD+ (I/O)
-------------------------------------------------------
  5              | CTS  (In )     | 485TRXD- (I/O)
-------------------------------------------------------
  6              | DSR  (In )     | 422RXD- (in)
-------------------------------------------------------
  7              | GND            | isolated GND
-------------------------------------------------------
  8              | DCD  (In )     | ---
-------------------------------------------------------
  20             | DTR  (Out)     | 422TXD- (out)
=======================================================

A-4: DB9 Male Connector Pin assignment in P584/P485 card with P124 DB37 to
     4 DB9 connector cable.
==========================================================
DB25 Pin Number  | P584 Signal Name  | port D Signal Name
==========================================================
  1              | DCD  (In )        | ---
----------------------------------------------------------
  2              | RXD  (In )        | 422RXD+ (in)
----------------------------------------------------------
  3              | TXD  (Out)        | 422TXD+ (out)
----------------------------------------------------------
  4              | DTR  (Out)        | 422TXD- (out)
----------------------------------------------------------
  5              | GND               | isolated GND
----------------------------------------------------------
  6              | DSR  (In )        | 422RXD- (in)
----------------------------------------------------------
  7              | RTS  (Out)        | 485TRXD+ (I/O)
----------------------------------------------------------
  8              | CTS  (In )        | 485TRXD- (I/O)
==========================================================
****Note: cPCI3534 card will support isolated RS422/485 interface in port D.

                        ---14---

                        Appendix B
                RS4232 Isolated Box user guide

B-1  Introduction.

  RS4232 box is used to convert RS232 input signal to isolated RS232, RS422
or RS485 interface. So we can support signal ground isolation system between
PC system and external application system. We have two models to support
four ports(RS4232-4 model) or eight ports(RS4232-8 model).

  In RS4232-4 box each port have two bit DIP switch to set for RS232, RS422
or RS485 interface. In RS4232-8 box each port have one bit DIP switch to
set for RS422 or RS485 interface. In RS485 mode we had auto data direction
function to maintain no local echo condition. But user may still need
to maintain just only one port to output data. So RS485 mode must be used
in half-duplex transmission environment. For full-duplex transmission
environment user may need to use RS422 mode.

  In RS4232 box we have one built-in switching power supply. This power
supply can accept 100-265VAC input or 48--60VDC input(option).

  In RS4232-8 box we can use one DB62 to DB62 cable to connect with P588
card. In RS4232-4 box we can use one DB37 to DB37 cable to connect with
P584 card. All the cable is connected in pin to pin direct connection type.

B-2 Pin definition in DB25 Male connector.
==========================================================================
 Pin   | RS232 mode | RS422/485 mode|| Pin   | RS232 mode | RS422/485 mode
 Number| Signal Name| Signal Name   || Number| Signal Name| Signal Name
==========================================================================
  2    | TXD  (Out) | ---           ||  10   | ---        | RXD- (In )
--------------------------------------------------------------------------
  3    | RXD  (In ) | ---           ||  11   | ---        | TXD+ (Out)
--------------------------------------------------------------------------
  4    | RTS  (Out) | ---           ||  12   | ---        | TXD- (Out)
--------------------------------------------------------------------------
  5    | CTS  (In ) | ---           ||  13   | ---        | CTS- (In )
--------------------------------------------------------------------------
  6    | DSR  (In ) | ---           ||  14   | ---        | RTS+ (Out)
--------------------------------------------------------------------------
  7    | GND        | isolated GND  ||  16   | ---        | CTS+ (In )
--------------------------------------------------------------------------
  8    | DCD  (In ) | ---           ||  19   | ---        | RTS- (Out)
--------------------------------------------------------------------------
  9    | ---        | RXD+ (In )    ||  20   | DTR  (Out) | ---
==========================================================================
Note: RS485 mode may let pin9 & pin11 short together and pin10 & pin12 short
      together to connect with other device.
Note: In RS422 mode the pin 2/3/4/5/6/8/20 may be in floating condition and
      with 5K ohmn pull down resistor to GND.
Note: In RS232 mode the pin 9/10/11/12/13/14/16/19 may be in floating state.
      Don't connect any RS232 signal to these pins.
Note: We have 120 ohmn terminator resistor built in each input signal pair.
      In RS485 mode you may need to remove this terminator resistor.User
      can set jumper On/Off to use/remove this terminator resistor.

                        ---15---

B-3:  RS4232-4 box Mode setting in DIP switch.
======================================================
DIP Switch  | DIP Switch  | Interface mode
bit 1,3,5,7 | bit 2,4,6,8 |
======================================================
  ON        | ON          | RS232
------------------------------------------------------
  ON        | OFF         | RS232
------------------------------------------------------
  OFF       | ON          | RS422
------------------------------------------------------
  OFF       | OFF         | RS485
======================================================
Note: bit 1 & 2 is used for PORT A setting.
      bit 3 & 4 is used for PORT B setting.
      bit 5 & 6 is used for PORT C setting.
      bit 7 & 8 is used for PORT D setting.

B-4:  RS4232-8 box Mode setting in DIP switch.
================================                  NOTE: bit1=Port A
 DIP Switch  | Interface mode                           bit2=Port B
================================                        bit3=Port C
 ON          | RS422                                    bit4=Port D
--------------------------------                        bit5=Port E
 OFF         | RS485                                    bit6=Port F
================================                        bit7=Port G
                                                        bit8=Port H

B-5: RS422 interface application note
  RS422 interface is used for point to point connection or multi-drop
application. We can use RTS & CTS signal to have hardware handshake between
two devices. But user may need to keep in mind that we can only let one
driver output signal to be actived in one time. Or you may let the driver
IC to be burnt.

  Even though we had put one 120ohmn terminator resistor in each input signal
pair. User may need to remove this terminator resistor for proper operation.

  Due to proper operation user may not let one cable left in un-connected
condition. Because the crosstalk problem may let one transmit data signal
to be coupled to receive data input. This may lead wrong process in some
application environment.

B-6: RS485 interface application note
  RS485 interface is used for multi-drop half-duplex application. Because
we had put auto data diection capability in RS4232 box, user may not use
RTS signal to control the data direction. So it is no use for RTS/CTS signal
in RS485 interface. Because we had put one 120ohmn terminator resistor in
RXD input signal pair. User may or may not need to remove this terminator
resistor for proper operation.

  Due to proper operation user may not let one cable left in un-connected
condition. Because the crosstalk problem may let one transmit data signal
to be coupled to receive data input. This may lead wrong process in some
application environment.
